%define major 16
%define libname %mklibname cpuid %{major}
%define devname %mklibname cpuid -d

Summary:	Small C library for x86 CPU detection and feature extraction 
Name:		libcpuid
Version:	0.6.2
Release:	%mkrel 1
License:	BSD
Group:		System/Libraries
Url:		http://libcpuid.sourceforge.net
Source0:	https://github.com/anrieff/libcpuid/archive/v%{version}/%{name}-%{version}.tar.xz

%description
Small C library for x86 CPU detection and feature extraction.

#----------------------------------------------------------------------------

%package tools
Summary:	Tools for x86 CPU detection and feature extraction
Group:		System/Configuration/Hardware

%description tools
Tools for x86 CPU detection and feature extraction.

%files tools
%{_bindir}/cpuid_tool
/usr/share/man/man3/cpuid_tool.3.bz2

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Small C library for x86 CPU detection and feature extraction
Group:		System/Libraries
Obsoletes: lib64cpuid15

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%files -n %{libname}
%{_libdir}/libcpuid.so.%{major}*
/usr/share/man/man3/libcpuid.3.bz2
/usr/share/man/man3/cpu_id_t.3.bz2
/usr/share/man/man3/cpu_list_t.3.bz2
/usr/share/man/man3/cpu_mark_t.3.bz2
/usr/share/man/man3/cpu_raw_data_t.3.bz2

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Headers for developing programs that will use %{name}
Group:		Development/Libraries
Requires:	%{libname} 
Provides:	%{name}-devel 

%description -n %{devname}
This package contains the headers that programmers will need to develop
applications which will use %{name}.

%files -n %{devname}
%dir %{_includedir}/%{name}/
%{_includedir}/%{name}/*
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%prep
%setup -q

%build
autoreconf -fi
%configure2_5x --disable-static
%make_build

%install
%make_install

# don't ship .la
find %{buildroot} -name "*.la" -delete


%changelog
* Sun Dec 04 2022 tex - 0.6.2-1pclos2022
- new version

* Sat Oct 02 2021 onkelho <oh.quait at gmail.com> - 0.5.1-2pclos2021
- fix in devel requires version

* Fri Oct 01 2021 onkelho <oh.quait at gmail.com> - 0.5.1-1pclos2021
- init on pclos
